package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 是否已读 (0.否,1.是)枚举类
*
* @author zxfei
*/
public enum ReadEnum {
;
    private Date value;
    private String desc;

    ReadEnum(Date value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Date getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ReadEnum getByValue(Date value) {
        for (ReadEnum readEnum : ReadEnum.values()) {
            if (readEnum.getValue() == value) {
                return readEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Date... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ReadEnum item : ReadEnum.values()) {
            try {
                boolean hasE = false;
                for (Date e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}